Browse Source

Add support for ruamel.yaml 0.17.x YAML parsing library (#404).

master 1.5.13
Dan Helfman 7 months ago
parent
commit
c072678936
  1. 3
      NEWS
  2. 2
      setup.cfg
  3. 4
      setup.py
  4. 2
      test_requirements.txt

3
NEWS

@ -1,5 +1,6 @@
1.5.13.dev0
1.5.13
* #373: Document that passphrase is used for Borg keyfile encryption, not just repokey encryption.
* #404: Add support for ruamel.yaml 0.17.x YAML parsing library.
* Update systemd service example to return a permission error when a system call isn't permitted
(instead of terminating borgmatic outright).
* Drop support for Python 3.5, which has been end-of-lifed.

2
setup.cfg

@ -1,5 +1,5 @@
[metadata]
description-file=README.md
description_file=README.md
[tool:pytest]
testpaths = tests

4
setup.py

@ -1,6 +1,6 @@
from setuptools import find_packages, setup
VERSION = '1.5.13.dev0'
VERSION = '1.5.13'
setup(
@ -32,7 +32,7 @@ setup(
install_requires=(
'pykwalify>=1.6.0,<14.06',
'requests',
'ruamel.yaml>0.15.0,<0.17.0',
'ruamel.yaml>0.15.0,<0.18.0',
'setuptools',
'colorama>=0.4.1,<0.5',
),

2
test_requirements.txt

@ -23,6 +23,6 @@ python-dateutil==2.8.1
PyYAML==5.3.1
regex; python_version >= '3.8'
requests==2.25.0
ruamel.yaml>0.15.0,<0.17.0
ruamel.yaml>0.15.0,<0.18.0
toml==0.10.2; python_version >= '3.8'
typed-ast==1.4.2; python_version >= '3.8'

Loading…
Cancel
Save